Subject: RE: IETF 107 and Corona Virus? - timezone

From: "Roni Even (A)" <[email-masked]>
Date: Sun, 16 Feb 2020 07:37:54 +0000

One issue to consider about having  an entirely virtual meeting is what are the implication on participants in different time zone.
Attending  few scattered session may not be a big issue but if one wants to attend many sessions it becomes a problem.

My personal experience when trying to attend a QUIC WG Interim meeting in Japan was very bad.

1. The meeting time for me was from 2:00AM till 10:00 AM. (9:00-17:00 in Japan) for three days.
2. I used the lunch break to try to catch some sleep, due to lack of enough time to sleep
3. Starting at 2:00 AM did not provide enough time to have a healthy night sleep before starting my daily attendance.
4. The recovery from the "jetlag" was much slower than when attending the meeting in person.

My conclusion was that I will try to avoid as much as I can this mode of participating from remote in a meeting that takes a couple of days in which I have to attend multiple sessions.
It is not healthy.

One other advantage of a f2f meeting is the "official" and non-official off line sessions/meetings that I find very productive while attending the IETF meeting

If a full virtual meeting will happen and use Vancouver time zone than daily meeting from 9-18 will be 19-4AM for me

Roni Even

> -----Original Message-----
> From: ietf [mailto:[email-masked]] On Behalf Of Andrew Alston
> Sent: Thursday, February 13, 2020 8:48 AM
> To: [email-masked]
> Subject: IETF 107 and Corona Virus?
> 
> Hi All,
> 
> I am just wondering if there are any thoughts on the status of the IETF 107
> meeting in light of the corona virus.
> 
> Particularly in light of the fact that for safety reasons mobile world congress
> has been cancelled and we're seeing other events being cancelled in light of
> this as well.  Should it be considered a safe and responsible move to go
> ahead with this meeting or should we be looking at an entirely virtual
> meeting in light of the situation?
> 
> Andrew

---

From: Stewart Bryant <[email-masked]>
Date: Sun, 16 Feb 2020 08:29:41 +0000

We all suffer from and recover from jet lag in different ways, and the same with adapting to antisocial work shifts, but I find the TZ argument strange.

If you want to attend the whole meeting, then shifting your day is no worse than what first responders such as the police service do every week here in UK. 

At least with doing a time shift rather than a trip you do not need to worry about the dehydration and stress of a long flight.

Stewart

> On 16 Feb 2020, at 07:37, Roni Even (A) <[email-masked]> wrote:
>

---

From: Keith Moore <[email-masked]>
Date: Sun, 16 Feb 2020 07:29:43 -0500

> My personal experience when trying to attend a QUIC WG Interim meeting in Japan was very bad.

Not to single out QUIC, but I've formed the opinion that some WGs are 
making excessive use of interim meetings (whether face-to-face or 
virtual) in preference to email.   Part of the purpose of using email 
for discussion (and insisting that consensus be reached over email) was 
to permit effective participation from anywhere, and thus, to encourage 
diversity among participants.   We recognize that occasional 
face-to-face meetings are very helpful, but interim face-to-face 
meetings thwart this long-established effort to encourage diversity.   
Even virtual interim meetings have this effect due to the difficult of 
participating from very remote time zones.

(Sure you have to deal with jet lag if you physically travel. But it's 
easier to deal with jet lag if you actually travel to the location 
because you are surrounded by people and services that reinforce the 
local time zone.)

I will freely admit that it has become more difficult over time to have 
effective discussions over email.   Part of the problem seems to be that 
so many people read email from mobile devices with small screens.   
Perhaps for this reason, it seems that email readers today often have 
short attention spans.   Another part of the problem seems to be that 
modern email user agents (including webmail user agents) are actually 
less effective at facilitating discussion of deep technical subjects 
than was the case 20 years ago.   In particular the reply style of 
quoting the subject message in the reply, with comments interspersed, 
which was once very effective at least for a few replies, seems to be 
discouraged by modern email user agents.

I don't claim to know what the best answer is but I am concerned that 
IETF is losing its center.   The fundamental means of participation in 
IETF used to be email.   Interim meetings have always been somewhat 
problematic if not used sparingly.  I've certainly seen them used as 
part of a deliberate effort to reduce diversity of participation.

Keith

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Sun, 16 Feb 2020 13:16:24 -0500

QUIC has a serious problem - far more people with an interest in the work
than there is inter-personal bandwidth to process. I am staying out of that
work because there are too many cooks already.

That problem does not have a simple solution. I don't think email can cope.
And there is clearly more material to process than two sessions at an IETF
three times a year can support.

The HTML work faced the same problem and they didn't come to a more
satisfactory solution.

If I want to design something and arrive at the best design, I do not
invite a hundred people to the design meeting. I design in a small group
and then put out a proposal that others can use as the basis for
discussion. Design by committee doesn't work. Refinement by committee can
though.

It does often take a hundred stakeholders to get the necessary buy in for
deployment.

---

From: John C Klensin <[email-masked]>
Date: Sun, 16 Feb 2020 13:25:29 -0500

--On Sunday, 16 February, 2020 07:37 +0000 "Roni Even (A)"
<[email-masked]> wrote:

> One issue to consider about having  an entirely virtual
> meeting is what are the implication on participants in
> different time zone. Attending  few scattered session may not
> be a big issue but if one wants to attend many sessions it
> becomes a problem.
> 
>...

Roni,

As Stewart points out, different people react in different ways.
However, at least in principle, attending a full-week meeting
remotely should be no worse from a time zone standpoint than
going in person if one just shifts onto the meeting time zone
for the week.  Same time zone shift as f2f, none of the physical
and aggravation costs of dealing with airports, airport transit,
long and often cramped plane flights, etc.  The only way in
which remote attendance of that type becomes more difficult from
a body rhythm standpoint is if one tries to stay on one's normal
schedule and activities at home and the remote schedule at the
same time.  I am just guessing from your explanation, but that
2AM QUIC meeting may have been a problem because you tried to
say on your normal sleep (and probably eating) schedule rather
that going to sleep at 5PM or earlier your time.  

That is, of course, another type of shift that some people find
easier than others.  And I've often suspected that, despite all
the complaints about jet lag, at least some people find that
being stuck in a large can with wings, with few external
stimuli, for many hours may actually help make the shift and
make it back after the meeting.  But...

Of course, part of the reason the IETF originally developed its
rules about decisions being made on mailing lists was that, back
then, a very significant fraction of the participants did not
have corporate (or equivalent) support for attending week-long
meetings in expensive and far-away places.  What I was told when
I started attending and participating at f2f meetings (after
several years on mailing lists only) was that the purpose of f2f
WG discussions included catching people up a bit but that they
are primarily to bring out, identify, and understand a broader
range of issues. 

Patterns have shifted -- in some cases for very good reasons
such as more participation from more parts of the world.   But
maybe, if organizational or government policies keep a
significant number of contributors from f2f attendance, we
should consider learning from our own history and consider an
entirely different remote participation option. That would be to
shut Meetecho down entirely except to live-stream various
meetings (really good scaling properties even if we don't need
to return to multicast) and get really serious about the mailing
list rule - not for ratification, but for accurately summarizing
and following up the f2f discussions,  making sure that all
perspectives are aired and discussed.  That would not work
unless WG Chairs and ADs understood the importance of that
approach and were willing to put effort into being sure that it
succeeded and that both those who got to the meeting and those
who, for whatever reason, did not, were treated fairly, but that
might still be easier than trying to manage both in-room and
long remote speaker queues in a careful and fair way.

Agree with him or not, Keith Moore's recent note about interim
meetings may reflect a different view of the same underlying
issues.

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 17 Feb 2020 08:28:43 +1300

On 17-Feb-20 07:25, John C Klensin wrote:
> for the week.

Depending on one's family situation,  shifting onto a different
time zone at home may be even more disruptive and painful than travel.
And in fact, virtually impossible to explain to the rest of the
household.

Yes, I realise that shift workers have to deal with this, but shift
work is a terrible thing anyway.

Let's not kid ourselves that there is an easy answer here.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Sun, 16 Feb 2020 14:44:02 -0500

--On Monday, 17 February, 2020 08:28 +1300 Brian E Carpenter
<[email-masked]> wrote:

> time zone at home may be even more disruptive and painful than
> travel. And in fact, virtually impossible to explain to the
> rest of the household.
> 
> Yes, I realise that shift workers have to deal with this, but
> shift work is a terrible thing anyway.
> 

Brian,

In case it wasn't clear from what I wrote, I agree completely.
Even without a complicating family situation, it is hard to
resist the meetings or other commitments in the middle of the
(local time) day when the IETF (or other remote) schedule is
locally in the middle of the night.  And, as soon as one need to
be in both time zones at the same time, remote participation
gets tough, maybe even tougher than travel to the meeting.

The only real solution is finding means of communication that
are insensitive to precise timing and we have, and have tested,
one of those -- I believe it is called "email".  It does impose
a different requirement to which, as Keith has indirectly
pointed out, some of us have become resistant in recent years.
That is the ability and willingness to write, and read, email
messages that actually contain careful analyses of issues rather
than adopting "TL;DR" attitudes.

best,
   john

---

From: avri doria <[email-masked]>
Date: Sun, 16 Feb 2020 15:04:23 -0500

Hi,

When I remote attend meetings in another timezone, I think of it as jet
lag without the jet.

avri

---

From: Mark Andrews <[email-masked]>
Date: Mon, 17 Feb 2020 09:03:06 +1100

You can add to that MUA’s that want to play with font sizes when sending.
PHB’s reply to Keith’s email starts with the font size being set to “smaLL”.
The quoted reply is at default font size.

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:small">QUI=
C has a serious problem - far more people with an interest in the work than=
 there is inter-personal bandwidth to process. I am staying out of that wor=
k because there are too many cooks already.</div><div class=3D"gmail_defaul=
t" style=3D"font-size:small"><br></div><div class=3D"gmail_default" style=

<div class=3D"gmail_default" style=3D"font-size:small"><br></div></div><br>=
<div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Fe=

This is not to pick on PHB.  This appears to be a problem with Google’s
tools as others also send like this.  There really is NO REASON for the
sender to be setting font sizes in email, especially on the main reply.
PHB’s email becomes unreadable on a smart phone as the font becomes TOO SMALL.
A lot of us here have ageing eyes.  

Mark

> On 16 Feb 2020, at 23:29, Keith Moore <[email-masked]> wrote:
> 
> Not to single out QUIC, but I've formed the opinion that some WGs are making excessive use of interim meetings (whether face-to-face or virtual) in preference to email.   Part of the purpose of using email for discussion (and insisting that consensus be reached over email) was to permit effective participation from anywhere, and thus, to encourage diversity among participants.   We recognize that occasional face-to-face meetings are very helpful, but interim face-to-face meetings thwart this long-established effort to encourage diversity.   Even virtual interim meetings have this effect due to the difficult of participating from very remote time zones.
> 
> (Sure you have to deal with jet lag if you physically travel. But it's easier to deal with jet lag if you actually travel to the location because you are surrounded by people and services that reinforce the local time zone.)
> 
> I will freely admit that it has become more difficult over time to have effective discussions over email.   Part of the problem seems to be that so many people read email from mobile devices with small screens.   Perhaps for this reason, it seems that email readers today often have short attention spans.   Another part of the problem seems to be that modern email user agents (including webmail user agents) are actually less effective at facilitating discussion of deep technical subjects than was the case 20 years ago.   In particular the reply style of quoting the subject message in the reply, with comments interspersed, which was once very effective at least for a few replies, seems to be discouraged by modern email user agents.
> 
> I don't claim to know what the best answer is but I am concerned that IETF is losing its center.   The fundamental means of participation in IETF used to be email.   Interim meetings have always been somewhat problematic if not used sparingly.  I've certainly seen them used as part of a deliberate effort to reduce diversity of participation.
> 
> Keith
> 
> 

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]

---

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 16 Feb 2020 15:21:45 -0800

Hi Keith,

> discouraged by modern email user agents.

I agree that MUA trends are not helping, especially with the preponderance
of using (e.g.) color to indicate quoting vs. reply.  I specifically note
that the official IETF mailarchive uses only the text/plain component,
which of course does not provide color information, making the web view of
the archive effectively useless in many cases.

> part of a deliberate effort to reduce diversity of participation.

Please report such cases to the relevant authority(ies) (responsible AD,
possibly ombudsteam, etc.).

Thanks,

Ben

---

From: Keith Moore <[email-masked]>
Date: Sun, 16 Feb 2020 18:27:50 -0500

> possibly ombudsteam, etc.).

The cases I'm aware of were for WGs that existed in the past. I'm not 
close enough to any current WG that's using interim meetings to know 
whether that's deliberately the case for any current WG.

However, the effect of interim meetings effectively limiting 
participation exists regardless of whether that effect is obvious or 
intended.

IMO, all WGs should be subject to a strict limit on interim meetings.   
IMO this limit should be fairly small - say no more than 3 such meetings 
a year (spaced roughly between normal f2f meetings), and with no 
"interim" meetings held at such a time as to discourage attendance at 
normal f2f meetings.

Keith

---

From: Ron Bonica <[email-masked]>
Date: Mon, 17 Feb 2020 00:43:41 +0000

+1

Juniper Business Use Only

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Stewart Bryant
Sent: Sunday, February 16, 2020 3:30 AM
To: Roni Even (A) <[email-masked]>
Cc: [email-masked]
Subject: Re: IETF 107 and Corona Virus? - timezone

Stewart

> 2. I used the lunch break to try to catch some sleep, due to lack of 
> enough time to sleep 3. Starting at 2:00 AM did not provide enough time to have a healthy night sleep before starting my daily attendance.
> One other advantage of a f2f meeting is the "official" and 
> non-official off line sessions/meetings that I find very productive 
> while attending the IETF meeting
> 
> If a full virtual meeting will happen and use Vancouver time zone than 
> daily meeting from 9-18 will be 19-4AM for me
> 
> 
> Roni Even
> 
> 
>> I am just wondering if there are any thoughts on the status of the 
>> IETF 107 meeting in light of the corona virus.
>> 
>> Particularly in light of the fact that for safety reasons mobile 
>> world congress has been cancelled and we're seeing other events being 
>> cancelled in light of this as well.  Should it be considered a safe 
>> and responsible move to go ahead with this meeting or should we be 
>> looking at an entirely virtual meeting in light of the situation?
>> 
>> Andrew
>

---

From: John C Klensin <[email-masked]>
Date: Sun, 16 Feb 2020 20:22:01 -0500

--On Sunday, 16 February, 2020 18:27 -0500 Keith Moore
<[email-masked]> wrote:

> participation exists regardless of whether that effect is
> obvious or intended.
> 
> IMO, all WGs should be subject to a strict limit on interim
> meetings.   IMO this limit should be fairly small - say no
> more than 3 such meetings a year (spaced roughly between
> normal f2f meetings), and with no "interim" meetings held at
> such a time as to discourage attendance at normal f2f meetings.

Keith,

FWIW, you will recall that, at one point, interim meetings
required AD permission, permissions that was normally not
granted without a substantive reason as to why the work could
not be done on the mailing list.  There was also a strict
prohibition on WG interim meetings or equivalent within several
weeks prior to (or, I think after) and IETF meeting.  So, for
better or worse, you are arguing for a return to status quo
ante, not a new policy.

best,
   john

---

From: Rob Sayre <[email-masked]>
Date: Sun, 16 Feb 2020 18:17:39 -0800

> work because there are too many cooks already.

I think they're managing it really well, too. HTTP2 and QUIC run very
transparently. Sometimes it feels difficult to contribute, but it's easy to
track the work.

thanks,
Rob

---

From: Christian Huitema <[email-masked]>
Date: Sun, 16 Feb 2020 21:49:09 -0800

I recently attended several Quic interim meetings remotely --2 days of
interop and 2 days of meeting. Couple of other meetings as well. Yes, it
can be hard, and Yes it does feel like jet lag without the jet, and Yes
it has some impact on family life. But as John Klensin said "different
people react in different ways." Overall, I find that less hard than
traveling to another continent for a short meeting. I don't have to
spend a day traveling each way, so "without the jet" is actually nice. I
have way fewer chances of catching an unexpected germ in the plane or in
transit. I am probably more awake for the meeting than if I was
recovering from jet lag.

Of course it is not ideal. When you do that, you are a tiny spoke to a
big hub. This is asymmetric, and it has effects. Inserting yourself in
the conversation requires some practice. The remote audio is a best
effort service provided by volunteers, so you cannot really blame them
for the glitches. But then you have to compensate for by relying on chat
rooms and other tools. And you do miss the most of the little breakaway
sessions and discussions around lunch and dinner.

On the other hand, the Quic WG also organized "Virtual Interop"
sessions, and I found that those worked really well. Pick a calendar
date, and have people join progressively through the day or two as their
time zone permits. Every team was putting a version of their software
online for others to tests, doing frequent updates as issues were found
and fixed. There is always enough overlap between the time zones to give
each pair of teams to test against each other, discuss potential issues
with the spec, etc. This is not a "hub and spoke" model, the
configuration is symmetric for all participants.

It may be that the Virtual Interop scenario worked well because we were
doing a lot of software development and Interop testing -- good old
fashioned rough consensus and running code. But dedicating a day for
"rolling sessions" and discussions of specifications could also work.
Putting decks or videos on line, dedicating rolling time slots to
discussing drafts and issues, etc. That might be worth trying.

-- Christian Huitema

---

From: "Roni Even (A)" <[email-masked]>
Date: Mon, 17 Feb 2020 08:11:22 +0000

Hi Christian,
I agree with your points, I was pointing out the time zone issue and the "virtual jetleg" but as you mentioned having long virtual conferences has other issues

I have been part of the video conferencing industry since the early 1990's with special focus on multipoint sessions.
One the selling points for video conferencing for the enterprise market was the reeducation in travel (cost) and being "green" solution.
It turns out that there is a reductions of travel when modern telepresence are deployed but it did not replace business travel. It had to do with the type of the meeting. 
For short meetings (couple of hours) one on one or small group meeting it works well.  The problem starts for couple of days conferences with multiple presentations and many participants.
The point you made about the audio quality is on aspect. When you are in a f2f situation you have eye contact, and can see every gesture which is part of the communication. The telepresence systems (see CLUE WG) try to address it by enabling "life size" view of the meeting attendance and having means to focus on the speaker and having directional microphones that can pick the audio from the active speaker. The points you made about the QUIC interim demonstrate the problem of feeling outside of the meeting as a remote participant, it has to do with the layout of the meeting, one room with many people and the structure of the meeting which is not like an IETF session when there is a presenter and questions are handled at the mic, so you can hear and see the active speaker. In the QUIC interim sitting situation everyone speaks from his place it becomes harder to follow.
As for having an IETF meeting as a virtual meeting, it can be by using a number of sites each with multiple participants , this mode requires good video and audio infrastructure in the meeting rooms and a conference moderator that will manage the right to speak.  A more challenging case will be if the idea is to allow anyone who wants to join to do it and have multipoint video conference. Today with meetecho we support remote presenters and remote participants having the working group chair serve as moderators, still most of the participants are local, this will  not scale well if instead of having a room with 100 local participants and about 10 form remote we will have 110 remote participants .
 
So there are two issue with virtual meetings: different time zones ("virtual jetleg") and the quality of the experience. I hope that in the near future with VR technology will allow for large multipoint conference and that the Internet Infrastructure will provide the members with the bandwidth needed for such application. 

Roni Even

> From: ietf [mailto:[email-masked]] On Behalf Of Christian Huitema
> Sent: Monday, February 17, 2020 7:49 AM
> To: [email-masked]; [email-masked]
> interop and 2 days of meeting. Couple of other meetings as well. Yes, it can
> be hard, and Yes it does feel like jet lag without the jet, and Yes it has some
> impact on family life. But as John Klensin said "different people react in
> different ways." Overall, I find that less hard than traveling to another
> continent for a short meeting. I don't have to spend a day traveling each
> way, so "without the jet" is actually nice. I have way fewer chances of
> catching an unexpected germ in the plane or in transit. I am probably more
> awake for the meeting than if I was recovering from jet lag.
> 
> Of course it is not ideal. When you do that, you are a tiny spoke to a big hub.
> This is asymmetric, and it has effects. Inserting yourself in the conversation
> requires some practice. The remote audio is a best effort service provided by
> volunteers, so you cannot really blame them for the glitches. But then you
> have to compensate for by relying on chat rooms and other tools. And you
> do miss the most of the little breakaway sessions and discussions around
> lunch and dinner.
> 
> sessions, and I found that those worked really well. Pick a calendar date, and
> have people join progressively through the day or two as their time zone
> permits. Every team was putting a version of their software online for others
> to tests, doing frequent updates as issues were found and fixed. There is
> always enough overlap between the time zones to give each pair of teams to
> test against each other, discuss potential issues with the spec, etc. This is not
> a "hub and spoke" model, the configuration is symmetric for all participants.
> 
> Putting decks or videos on line, dedicating rolling time slots to discussing
> drafts and issues, etc. That might be worth trying.
> 
> -- Christian Huitema
> 
> > When I remote attend meetings in another timezone, I think of it as
> > jet lag without the jet.
> >
> > avri
> >
> >
> >> We all suffer from and recover from jet lag in different ways, and the
> same with adapting to antisocial work shifts, but I find the TZ argument
> strange.
> >>
> >> If you want to attend the whole meeting, then shifting your day is no
> worse than what first responders such as the police service do every week
> here in UK.
> >>
> >> At least with doing a time shift rather than a trip you do not need to worry
> about the dehydration and stress of a long flight.
> >>
> >> Stewart
> >>
> >>> One issue to consider about having  an entirely virtual meeting is what
> are the implication on participants in different time zone.
> >>> Attending  few scattered session may not be a big issue but if one wants
> to attend many sessions it becomes a problem.
> >>>
> >>> enough time to sleep 3. Starting at 2:00 AM did not provide enough time
> to have a healthy night sleep before starting my daily attendance.
> >>> My conclusion was that I will try to avoid as much as I can this mode of
> participating from remote in a meeting that takes a couple of days in which I
> have to attend multiple sessions.
> >>> It is not healthy.
> >>>
> >>>
> >>> If a full virtual meeting will happen and use Vancouver time zone
> >>> than daily meeting from 9-18 will be 19-4AM for me
> >>>
> >>>
> >>> Roni Even
> >>>
> >>>
> >>>> world congress has been cancelled and we're seeing other events
> >>>> being cancelled in light of this as well.  Should it be considered
> >>>> a safe and responsible move to go ahead with this meeting or should
> >>>> we be looking at an entirely virtual meeting in light of the situation?
> >>>>
> >>>> Andrew

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 17 Feb 2020 12:03:00 -0500

On Sun, Feb 16, 2020 at 9:17 PM Rob Sayre <[email-masked]> wrote:

> On Sun, Feb 16, 2020 at 10:17 AM Phillip Hallam-Baker <
> [email-masked]> wrote:
>

Sorry, I did not mean it as criticism, I was pointing out the constraints.
My point was that having lots of interim meetings seems a good way to deal
with them,

I am not functioning at 100% right now.

Many things Internet have scaled. The IETF ain't one of them. Some people
are still insisting that it work in the same way as 25 years ago. How can
that make sense.

W3C didn't scale either, we ended up having to create OASIS.

IETF meetings are supposed to be designed for two things: working the
drafts and exchanging ideas between the WGs and areas. And they do a poor
job at both.

How about this for a radical plan, Have a joint
ETSI-OASIS-W3C-CABForum-IETF meeting (and anyone else). do it maybe once
every two years. And make it all about what each of the organizations is
doing and where they are going rather than work. Focus on the exchange part.

Oh and stick a trade show on the side, make a bundle

---

From: Keith Moore <[email-masked]>
Date: Mon, 17 Feb 2020 12:19:56 -0500

On 2/17/20 12:03 PM, Phillip Hallam-Baker wrote:

> Many things Internet have scaled. The IETF ain't one of them. Some 
> people are still insisting that it work in the same way as 25 years 
> ago. How can that make sense.

Just because IETF has changed doesn't mean it has improved. It's not 
that people want IETF to work exactly as it did 25 years ago, but there 
were some things done 25 years ago that make more sense, even under 
today's conditions, than some of the things that IETF does today.

You are correct to point out that conditions have changed, but it's 
important to recognize _how_ conditions have changed.

What I see is that IETF is trying to do far more today (broader range of 
topics covered by WGs, WGs more siloed, WGs more likely to act at cross 
purposes with one another, more RFCs produced), with fewer active 
participants overall than we had 25 years ago. (Even if some WGs have a 
great many participants and that makes work difficult for those WGs.)

When IETF conducts its business in a way to discourage diversity and 
discourage input, I see that as contributing to those problems.

The point of looking at past practice is not to say "we should do 
everything exactly like we did 25 years ago" (because conditions have 
indeed changed) but rather "we have reason to believe, based on past 
experience, that it's possible to do better".

Keith

p.s. one way that IETF could do better is not to attack people for 
pointing out problems and suggesting ways to improve things.

---

From: Nico Williams <[email-masked]>
Date: Mon, 17 Feb 2020 11:22:53 -0600

On Sun, Feb 16, 2020 at 07:29:43AM -0500, Keith Moore wrote:
> Not to single out QUIC, but I've formed the opinion that some WGs are making
> excessive use of interim meetings (whether face-to-face or virtual) in
> preference to email.   Part of the purpose of using email for discussion
> (and insisting that consensus be reached over email) was to permit effective
> participation from anywhere, and thus, to encourage diversity among
> participants.   We recognize that occasional face-to-face meetings are very
> helpful, but interim face-to-face meetings thwart this long-established
> effort to encourage diversity.   Even virtual interim meetings have this
> effect due to the difficult of participating from very remote time zones.

All consensus should be confirmed on-list.

And all interims should have virtual attendance capabilities.

Provided that happens, I do not begrudge lots of interims for WGs where
this is useful.  (I would if it happened for many many WGs, because
there is only so much energy many participants can reserve for IETF
participation.)

Nico
--

---

From: Nico Williams <[email-masked]>
Date: Mon, 17 Feb 2020 11:44:33 -0600

> are still insisting that it work in the same way as 25 years ago. How can

Well, the IETF hasn't scaled very well, but it's still functional -- it
hasn't collapsed yet.

> W3C didn't scale either, we ended up having to create OASIS.

"There can only be so many adults in the room, and they can't keep up
with the kids."

If we want to have OASIS-style IESG-Review-less publication tracks, why
not do that.  We could even charge $$$ for that and eat OASIS' lunch.
Provided the brand for that is sufficiently distinguished from the
Standards-Track brand, it should be fine.

Also we could have a lot more Expert Review / Documentation Required
IANA registries -- far short of Standards Action --, and we could
require that Standards-Track protocols have Expert Review extensions
IANA registries as much as possible.  This would greatly alleviate the
bandwidth demands of many WGs and speed up the rate at which the IETF
(and IANA) does useful work while still retaining an element of the
"adults in the room" value that the IETF provides today.

No, I'm dead serious about this.  PKIX, HTTP, TLS, SSH, Kerberos, NFS,
BGP, this, that, and the other, all should be required to have Expert
Review w/ Documentation Required IANA registries for all extensions
except where the WG makes a strong case that WG/IETF/IESG review is
essential.

> drafts and exchanging ideas between the WGs and areas. And they do a poor

They do a good enough job of the latter, IMO.  But I'm not sure it's
worth the cost -- a whole week of hobnobbing and not getting things
done, x3/yr, which is 1/16th of the year, plus travel time plus
additional pre-meeting prep, post-meeting work, and IETF meetings take
much closer to 1/8th of each attendee's year, and the best that happens
is that consensus is facilitated in order to do actual work at with the
rest of one's 7/8ths of the year (much of which often isn't directly
IETF-related).

> doing and where they are going rather than work. Focus on the exchange part.

Sure.

> Oh and stick a trade show on the side, make a bundle

Yes!  Attach it to something like SXSW.

Nico
--

---

From: John C Klensin <[email-masked]>
Date: Mon, 17 Feb 2020 15:46:50 -0500

Two quick observations...

--On Monday, February 17, 2020 12:03 -0500 Phillip Hallam-Baker
<[email-masked]> wrote:

>...
> Many things Internet have scaled. The IETF ain't one of them.
> Some people are still insisting that it work in the same way
> as 25 years ago. How can that make sense.

Just in case I'm one of the people you have in mind, I'm not
only not insisting the the IETF work the way it did 25 years
ago, I think that trying to do that would be a disaster.  Keith
can speak for himself but I don't think he is advocating any
such thing either, nor have I seen anyone else on this list
doing so.  If things that I've said sound that way, either I
have not been clear (in which case I apologize) or people are
making assumptions about what I'm saying without actually
reading my notes.  A third possibility is that people are making
up positions to attribute to those with whom they disagree and
then attacking those positions, a tactic that I assume was in
poor repute even before Aristotle alluded to it more than two
millennia ago, but you have too much integrity to do that.

To be clear, I think many of the changes in the IETF over the
last 25 years are very exciting.   I'm particularly encouraged
by the increasing diversity of our participation, especially
increased geographic and linguistic diversity.  I think we have
not adapted well to those changes.  I also applaud the moves
toward making the IETF a kinder and more professional place,
especially when dealing with people who may be new to the
community or who may be offering unusual perspectives even when
I worry about the mechanisms that were designed to protect
people from rude or bullying behavior when those mechanisms are
used to suppress dissent, especially dissent from positions
taken by the leadership.

Coming back to the discussions of the last few days, I think
that moves in the direction of more and/or longer and more
expensive meetings are exactly the wrong direction to be going,
if only  because they work against participation by, and
fairness toward, a very broad range of people with different
backgrounds and perspectives.  I think we have gotten somewhat
more into a situation in which people take leadership roles to
advance their careers and try to hold onto them rather than
doing them for a short time out of obligation to the community.
That, in turn, as almost anyone who survived an undergraduate
course in either organizational behavior or bureaucracy learned,
tends to lead to behaviors that entrench the leadership, expand
organizational and organizational support roles, and trends
toward more top-down decision making.   Because the kinds of
roles those trends tend to develop also make it nearly
impossible for anyone without solid organizational support to
assume time-consuming leadership roles, it takes exceptional
people who have gotten used to that type of support to remain
sensitive to the needs of those who are more constrained by
levels of support, language, distance and so on.   The IETF has
been lucky in having more of those exceptional people than we
may deserve, but that has not prevented symptoms from appearing
(some of which have been discussed by you and others lately).
I also want to stress that I said "tends" and "trends": I'm not
accusing anyone of bad behavior, much less acting in bad faith,
just that the IETF is not immune from the situations that
develop certain behavior in most organizations like it. 

Maybe that is actually the right way to go rather than
responding to the trends by compensating for them or pushing
back.  But, if it is, we probably should be investigating the
kinds of safeguards that other standards bodies who have found
themselves in similar situations have established to prevent
dominance by small clusters of interests and the loss of
credibility that tends to go with such dominance.

I am not at all certain that much of this is about scaling.  It
may have much more to do with organizational changes, some as
the IETF matures and some as the world around us changes.   

I could go on but probably no one would read the note (if anyone
has gotten even this far given the number of notes I've gotten,
some offline and quite aggressive, suggesting that, if I cannot
or will not boil everything I have to say down to a few pithy
sentences and/or emoji.  

> W3C didn't scale either, we ended up having to create OASIS.

Huh?  According to my memory and their web site, OASIS is the
renamed descendant of an SGML-oriented both created in around
1993.  I remember organizational and Advisory Committee of W3C
in the last half of that decade, so it is a bit hard for me to
figure out how scaling problems with W3C were diagnosed early
enough to lead to a new organization in 1993.

best,
   john

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 18 Feb 2020 11:59:44 -0500

> enough to lead to a new organization in 1993.

OASIS was originally formed as an SGML organization with IBM as the main
backer. It was essentially re-invented when IBM and Microsoft decided to
work together on Web Services and the Web Service stack.

In corporate terms, it was a reverse merger. XML-OASIS was a very different
thing from SGML-OASIS.

---

From: John C Klensin <[email-masked]>
Date: Tue, 18 Feb 2020 13:37:45 -0500

Thanks.
   john

--On Tuesday, February 18, 2020 11:59 -0500 Phillip Hallam-Baker
<[email-masked]> wrote:

> OASIS was originally formed as an SGML organization with IBM
> as the main backer. It was essentially re-invented when IBM
> and Microsoft decided to work together on Web Services and the
> Web Service stack.
> 
> In corporate terms, it was a reverse merger. XML-OASIS was a
> very different thing from SGML-OASIS.